# Flow Alerts `GET` `https://api.unusualwhales.com/api/stock/{ticker}/flow-alerts` This endpoint has been deprecated and will be removed. Please migrate to this Flow Alerts endpoint, which provides a more detailed response: [https://api.unusualwhales.com/docs#/operations/PublicApi.OptionTradeController.flow_alerts](https://api.unusualwhales.com/docs#/operations/PublicApi.OptionTradeController.flow_alerts) ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 100 Max 200 Min 1 | No | How many items to return. Default: 100. Max: 200. Min: 1. | | `is_ask_side` | | No | Boolean flag whether a transaction is ask side. | | `is_bid_side` | | No | Boolean flag whether a transaction is bid side. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `alert_rule` | Alert Rule Name | The name of the alert rule. | | `all_opening_trades` | Option Contract All Opening Trades | | | `created_at` | General UTC Timestamp | A UTC timestamp. | | `expiry` | Option Contract Expiry | The contract expiry date in ISO format. | | `expiry_count` | Option Contract Expiry Count | The amount of expiries belonging to the trade. This is only greater than 1 if it is a multileg trade. | | `has_floor` | Option Contract Has Floor | | | `has_multileg` | Single Trade Has Multileg | Whether the trade is a multileg trade. | | `has_singleleg` | Single Trade Is Single Leg | Whether the trade is a singleleg trade. | | `has_sweep` | Single Trade Is Sweep | Whether the trade is a sweep. | | `issue_type` | Stock Issue Type | The issue type of the ticker. | | `open_interest` | ToBeDone | | | `option_chain` | Option Contract Symbol | The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?[\w]*)(?(\d{2})(\d{2})(\d{2}))(?[PC])(?\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000. | | `price` | ToBeDone | | | `strike` | Option Contract Strike | The contract strike. | | `ticker` | ToBeDone | | | `total_ask_side_prem` | ToBeDone | | | `total_bid_side_prem` | ToBeDone | | | `total_premium` | ToBeDone | | | `total_size` | ToBeDone | | | `trade_count` | ToBeDone | | | `type` | Option Contract Type | The contract type. | | `underlying_price` | ToBeDone | | | `volume` | ToBeDone | | | `volume_oi_ratio` | ToBeDone | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/flow-alerts" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/flow-alerts", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "alert_rule": "RepeatedHits", "all_opening_trades": false, "created_at": "2023-12-12T16:35:52.168490Z", "expiry": "2023-12-22", "expiry_count": 1, "has_floor": false, "has_multileg": false, "has_singleleg": true, "has_sweep": true, "issue_type": "Common Stock", "open_interest": 7913, "option_chain": "MSFT231222C00375000", "price": "4.05", "strike": "375", "ticker": "MSFT", "total_ask_side_prem": "151875", "total_bid_side_prem": "405", "total_premium": "186705", "total_size": 461, "trade_count": 32, "type": "call", "underlying_price": "372.99", "volume": 2442, "volume_oi_ratio": "0.30860609124226" } ] } ```